Subject: Re: linux-next: Tree for Jul 3

From: Jörn Engel <[email-masked]>
Date: Wed, 3 Jul 2013 10:48:03 -0400

On Wed, 3 July 2013 12:25:41 +0100, Steve Capper wrote:
> 
> Today's linux-next appears to introduce some BUGs when running the libhugetlbfs
> testsuite (under both ARM64 and x86_64):
> 
> [   94.320661] BUG: Bad rss-counter state mm:ffff880119461040 idx:1 val:-512
> [   94.330346] BUG: Bad rss-counter state mm:ffff880119460680 idx:1 val:-2560
> [   94.341746] BUG: Bad rss-counter state mm:ffff880119460d00 idx:1 val:-512
> [   94.347518] BUG: Bad rss-counter state mm:ffff880119460d00 idx:1 val:-512
> [   94.415203] BUG: Bad rss-counter state mm:ffff8801194f9040 idx:1 val:-1024
> 
> I've bisected this to commit:
> commit 446313e3e4e7274c4d1e449d107fab6c041ec59c
> hugetlb: properly account rss
> 
> The bad counter values I get are all negative.
> 
> To reproduce this, just run through the latest libhugetlbfs test suite, these
> warnings appear pretty much immediately. (I set aside 200 huge pages first):
> http://libhugetlbfs.sourceforge.net/
> 
> Reverting this commit allows the test suite to run without problems.

Thank you, I will have a look.  For the interim, dropping this patch
from -mm seems the best approach.

Jörn

--
Geld macht nicht glücklich.
Glück macht nicht satt.